Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica
Class Validate

    java.lang.Object
      com.saxonica.Validate

    public class Validate

extends Object

This Validate class provides a command line interface that causes a source document to be parsed and validated against a schema. Apart from error messages, no output is produced.

Constructor Summary
`Validate()`

Method Summary
`static Source` | `loadDocument(String sourceFileName, boolean useURLs, Configuration config)` Load a document, given a filename or URL
`static void` | `main(String[] args)` Main program, can be used directly from the command line.
`void` | `processFile(Source source)` Process a single file using a supplied schema

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validate

    public Validate()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Main program, can be used directly from the command line.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `Exception` - Indicates that a compile-time or run-time error occurred

### loadDocument

    public static Source loadDocument(String sourceFileName,
                                      boolean useURLs,
                                      Configuration config)
                               throws TransformerException

  Load a document, given a filename or URL

  Throws:
    `TransformerException`

### processFile

    public void processFile(Source source)
                     throws TransformerException

  Process a single file using a supplied schema

  Parameters:
    `source` - The source XML document to be transformed
  Throws:
    `TransformerException` - If the transformation fails

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.